Index: Singular/LIB/tropical.lib
===================================================================
--- Singular/LIB/tropical.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/tropical.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -3239,5 +3239,5 @@
     // if i is not primary itself
     // go through the list of min. ass. primes and find the first one which has w in its tropical variety
-    if (size(primp)>1) 
+    if (size(primp)>1)
     {
       j1=1;
@@ -3246,8 +3246,8 @@
         //compute the t-initial of the associated prime
         // - the last entry 1 only means that t is the last variable in the ring
-        primini=tInitialIdeal(primp[j1],wvec,1); 
+        primini=tInitialIdeal(primp[j1],wvec,1);
         // check if it contains a monomial (resp if the product of var is in the radical)
-        if (radicalMemberShip(product,primini)==0) 
-        { 
+        if (radicalMemberShip(product,primini)==0)
+        {
           jideal=primp[j1];// if w is in the tropical variety of the prime, we take that
           setring QUOTRING;
@@ -3255,5 +3255,5 @@
           setring BASERING;
           winprim=1; // and stop the checking
-        } 
+        }
         j1=j1+1;  //else we look at the next associated prime
       }
@@ -3262,9 +3262,9 @@
     {
       jideal=primp[1]; //if i is primary itself we take its prime instead
-    }  
+    }
   }
   // now we start as a first try to intersect with a hyperplane parallel to
   // coordinate axes, because this would make our further computations
-  // a lot easier. 
+  // a lot easier.
   // We choose a subset of our n variables of size d=dim(ideal). For each of these
   // variables, we want to fix a value: x_i= a_i*t^-w_i. This will only work if the
@@ -3275,5 +3275,5 @@
   // (NOTE, there EXIST d variables such that a random choice of a_i's would work!).
   // But since this involves many computations, we prefer to choose randomly and just
-  // try in the end if our intersected ideal satisfies our requirements. If this does not 
+  // try in the end if our intersected ideal satisfies our requirements. If this does not
   // work, we give up this try and use our second intersection idea, which
   // will work for a Zariksi-open subset (i.e. almost always).
@@ -3282,5 +3282,5 @@
   // wvec-coordinate is smallest, because this will give us the smallest powers of t and hence
   // less effort in following computations. Note that the smallest absolute value have those
-  // which are biggest, because wvec is negative. 
+  // which are biggest, because wvec is negative.
   //print("first try");
   intvec wminust=intvecdelete(wvec,1);
@@ -3290,6 +3290,6 @@
   A[2,1..size(wminust)]=1..size(wminust);
   // sort this matrix in order to get the d biggest entries and their position in wvec
-  A=sortintmat(A); 
-  // we construct a vector which has 1 at entry j if j belongs to the list 
+  A=sortintmat(A);
+  // we construct a vector which has 1 at entry j if j belongs to the list
   // of the d biggest entries of wvec and a 0 else
   for (j1=1;j1<=nvars(basering)-1;j1++) //go through the variables
@@ -3300,8 +3300,8 @@
       {
         setvec[j1]=1;//put a 1
-      }        
-    }  
-  }
-  // using this 0/1-vector we produce a random constant (i.e. coeff in Q times something in t) 
+      }
+    }
+  }
+  // using this 0/1-vector we produce a random constant (i.e. coeff in Q times something in t)
   // for each of the biggest variables, we add the forms x_i-random constant to the ideal
   // and we save the constant at the i-th place of a list we want to return for later computations
@@ -3315,15 +3315,15 @@
     {
       if(setvec[j1]==1)//if x_i belongs to the biggest variables
-      {     
+      {
         if ((j3==1) and ((char(basering)==0) or (char(basering)>3)))
-        {        
+        {
           randomp1=random(1,3);
           randomp=t^(A[1,j2])*randomp1;//make a random constant --- first we try small numbers
-        }   
+        }
         if ((j3==2) and ((char(basering)==0) or (char(basering)>100)))
         {
           randomp1=random(1,100);
           randomp=t^(A[1,j2])*randomp1;//make a random constant --- next we try bigger numbers
-        }   
+        }
         else
         {
@@ -3337,10 +3337,10 @@
       else
       {
-        ergl[j1]=0; //if the variable belongs not the the d biggest ones, save 0 in the list
+        ergl[j1]=0; //if the variable belongs not the d biggest ones, save 0 in the list
         erglini[j1]=0;
-      }        
+      }
     }
       // print(ergl);print(pideal);
-      // now we check if we made a good choice of pideal, i.e. if dim=0 and 
+      // now we check if we made a good choice of pideal, i.e. if dim=0 and
       // wvec is still in the tropical variety
       //change to quotring where we compute dimension
@@ -3349,7 +3349,7 @@
     {
       if(setvec[j1]==1)
-      {      
-        cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal  
-      }      
+      {
+        cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal
+      }
     }
     setring QUOTRING;
@@ -3369,11 +3369,11 @@
       // and if the initial w.r.t. t contains no monomial as we want (checked with
       // radical-membership of the product of all variables)
-      if (radicalMemberShip(product,pini)==0) 
-      {
-        // we made the right choice and now we substitute the variables in the ideal    
+      if (radicalMemberShip(product,pini)==0)
+      {
+        // we made the right choice and now we substitute the variables in the ideal
         //to get an ideal in less variables
         // also we make a projected vector from wvec only the components of the remaining variables
         wvecp=wvec;
-        variablen=0;   
+        variablen=0;
         j2=0;
         for(j1=1;j1<=nvars(basering)-1;j1++)
@@ -3389,6 +3389,6 @@
           {
             variablen=variablen+var(j1); //read the set of remaining variables (needed to make quotring later)
-          }    
-        }      
+          }
+        }
         // return pideal, the initial and the list ergl which tells us
         // which variables we replaced by which form
@@ -3400,5 +3400,5 @@
         export(ini);
         export(repl);
-        return(list(BASERINGLESS1,wvecp)); 
+        return(list(BASERINGLESS1,wvecp));
       }
     }
@@ -3409,22 +3409,22 @@
   // probability 1.
   //
-  // We choose general hyperplanes, i.e. linear forms which involve all x_i. 
-  // Each x_i has to be multiplied bz t^(w_i) in order to get the same weight (namely 0) 
+  // We choose general hyperplanes, i.e. linear forms which involve all x_i.
+  // Each x_i has to be multiplied bz t^(w_i) in order to get the same weight (namely 0)
   // for each term. As we cannot have negative exponents, we multiply
-  // the whole form by t^minimumw. Notice that then in the first form, 
+  // the whole form by t^minimumw. Notice that then in the first form,
   // there is one term without t- the term of the variable
   // x_i such that w_i is minimal. That is, we can solve for this variable.
-  // In the second form, we can replace that variable, and divide by t as much as possible. 
-  // Then there is again one term wihtout t - the term of the variable with second least w. 
+  // In the second form, we can replace that variable, and divide by t as much as possible.
+  // Then there is again one term wihtout t - the term of the variable with second least w.
   // So we can solve for this one again and also replace it in the first form.
-  // Since all our coefficients are chosen randomly, we can also from the beginning on 
-  // choose the set of variables which belong to the d smallest entries of wvec 
-  // (t not counting) and pick random forms g_i(t,x') (where x' is the set of remaining variables) 
-  // and set x_i=g_i(t,x'). 
+  // Since all our coefficients are chosen randomly, we can also from the beginning on
+  // choose the set of variables which belong to the d smallest entries of wvec
+  // (t not counting) and pick random forms g_i(t,x') (where x' is the set of remaining variables)
+  // and set x_i=g_i(t,x').
   //
   // make a matrix with first row wvec (without t) and second row 1..n
   //print("second try");
   setring BASERING;
-  A[1,1..size(wminust)]=wminust;  
+  A[1,1..size(wminust)]=wminust;
   A[2,1..size(wminust)]=1..size(wminust);
   // sort this matrix in otder to get the d smallest entries (without counting the t-entry)
@@ -3433,5 +3433,5 @@
   setvec=0;
   setvec[nvars(basering)-1]=0;
-  // we construct a vector which has 1 at entry j if j belongs to the list of 
+  // we construct a vector which has 1 at entry j if j belongs to the list of
   // the d smallest entries of wvec and a 0 else
   for (j1=1;j1<=nvars(basering)-1;j1++) //go through the variables
@@ -3459,14 +3459,14 @@
       variablen=variablen+var(j1); //read the set of remaining variables (needed to make the quotring later)
     }
-  } 
+  }
   setring BASERING;
   execute("ring BASERINGLESS2=("+charstr(BASERING)+"),("+string(variablen)+",t),(dp("+string(ncols(variablen))+"),lp(1));");
   // using the 0/1-vector which tells us which variables belong to the set of smallest entries of wvec
-  // we construct a set of d random linear polynomials of the form x_i=g_i(t,x'), 
+  // we construct a set of d random linear polynomials of the form x_i=g_i(t,x'),
   // where the set of all x_i is the set of
   // all variables which are in the list of smallest entries in wvec, and x' are the other variables.
-  // We add these d random linear polynomials to the indeal pideal, i.e. we intersect 
+  // We add these d random linear polynomials to the indeal pideal, i.e. we intersect
   // with these and hope to get something
-  // 0-dim which still contains wvec in its tropical variety. Also, we produce a list ergl  
+  // 0-dim which still contains wvec in its tropical variety. Also, we produce a list ergl
   // with g_i at the i-th position.
   // This is a list we want to return.
@@ -3477,5 +3477,5 @@
   {
     if ((char(basering)==0) or (char(basering)>3))
-    { 
+    {
       randomp1=random(1,3);
       randomp=randomp1*t^(-A[1,j1]);
@@ -3514,5 +3514,5 @@
     }
   //print(ergl);
-  // Again, we have to test if we made a good choice to intersect,i.e. we have to check whether 
+  // Again, we have to test if we made a good choice to intersect,i.e. we have to check whether
   // pideal is 0-dim and contains wvec in the tropical variety.
   cutideal=pideal;
@@ -3521,6 +3521,6 @@
     if(setvec[j1]==1)
     {
-      cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal 
-    }    
+      cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal
+    }
   }
   setring QUOTRING;
@@ -3540,8 +3540,8 @@
     // and if the initial w.r.t. t contains no monomial as we want (checked with
     // radical-membership of the product of all variables)
-    if (radicalMemberShip(product,pini)==0) 
+    if (radicalMemberShip(product,pini)==0)
     {
       // we want to replace the variables x_i by the forms -g_i in
-      // our ideal in order to return an ideal with less variables  
+      // our ideal in order to return an ideal with less variables
       // first we substitute the chosen variables
       for(j1=1;j1<=nvars(basering)-1;j1++)
@@ -3560,5 +3560,5 @@
       export(ini);
       export(repl);
-      return(list(BASERINGLESS2,wvecp)); 
+      return(list(BASERINGLESS2,wvecp));
     }
   }
@@ -3573,10 +3573,10 @@
       randomp=randomp1*t^(-A[1,j1]);
       for(j2=1;j2<=nvars(basering)-1;j2++)//go through all variables
-      { 
+      {
         if(setvec[j2]==0)//if x_j belongs to the set x'
         {
           // add a random term with the suitable power of t to the random linear form
           if ((char(basering)==0) or (char(basering)>100))
-          {  
+          {
             randomp2=random(1,100);
             randomp1=randomp1+randomp2*var(j2);
@@ -3599,5 +3599,5 @@
       }
     //print(ergl);
-    // Again, we have to test if we made a good choice to intersect,i.e. we have to check whether 
+    // Again, we have to test if we made a good choice to intersect,i.e. we have to check whether
     // pideal is 0-dim and contains wvec in the tropical variety.
     cutideal=pideal;
@@ -3606,6 +3606,6 @@
       if(setvec[j1]==1)
       {
-        cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal  
-      }      
+        cutideal=cutideal,var(j1)-ergl[j1];//add all forms to the ideal
+      }
     }
     setring QUOTRING;
@@ -3615,5 +3615,5 @@
     //print(dimp);
     kill cutideal;
-    setring BASERING; 
+    setring BASERING;
     if (dimp==0) // if it is 0 as we want
     {
@@ -3625,5 +3625,5 @@
       // and if the initial w.r.t. t contains no monomial as we want (checked with
       // radical-membership of the product of all variables)
-      if (radicalMemberShip(product,pini)==0) 
+      if (radicalMemberShip(product,pini)==0)
       {
         // we want to replace the variables x_i by the forms -g_i in
@@ -3636,6 +3636,6 @@
             pideal=subst(pideal,var(j1),ergl[j1]);//substitute it
             pini=subst(pini,var(j1),erglini[j1]);
-          }   
-        }   
+          }
+        }
         // return pideal and the list ergl which tells us
         // which variables we replaced by which form
@@ -3647,5 +3647,5 @@
         export(ini);
         export(repl);
-        return(list(BASERINGLESS2,wvecp)); 
+        return(list(BASERINGLESS2,wvecp));
       }
     }
@@ -3656,18 +3656,18 @@
 static proc tropicalparametriseNoabs (ideal i,intvec ww,int ordnung,int gfanold,int nogfan,list #)
   "USAGE:  tropicalparametriseNoabs(i,tw,ord,gf,ng[,#]); i ideal, tw intvec, ord int, gf,ng int, # opt. list
-ASSUME:  - i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k], tw=(w_0,w_1,...,w_n,0,...,0) 
-           and (w_0,...,w_n,0,...,0) is in the tropical variety of i, 
-           and ord is the order up to which a point in V(i) over C((t)) lying over w shall be computed; 
+ASSUME:  - i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k], tw=(w_0,w_1,...,w_n,0,...,0)
+           and (w_0,...,w_n,0,...,0) is in the tropical variety of i,
+           and ord is the order up to which a point in V(i) over C((t)) lying over w shall be computed;
          - moreover, k should be zero if the procedure is not called recursively;
          - the point in the tropical variety is supposed to lie in the NEGATIVE orthant;
          - the ideal is zero-dimensional when considered in (Q(t)[X_1,...,X_k]/m)[x_1,...,x_n],
-           where m=#[2] is a maximal ideal in Q(t)[X_1,...,X_k]; 
+           where m=#[2] is a maximal ideal in Q(t)[X_1,...,X_k];
          - gf is 0 if version 2.2 or larger is used and it is 1 else
-         - ng is 1 if gfan should not be executed 
+         - ng is 1 if gfan should not be executed
 RETURN:  list, l[1] = ring Q(0,X_1,...,X_r)[[t]]
                l[2] = int
                l[3] = string
 NOTE:    - the procedure is also called recursively by itself, and
-           if it is called in the first recursion, the list # is empty, 
+           if it is called in the first recursion, the list # is empty,
            otherwise #[1] is an integer, one more than the number of true variables x_1,...,x_n,
            and #[2] will contain the maximal ideal m in the variables X_1,...X_k
@@ -3739,5 +3739,5 @@
   intvec tw=ww; // in case some variables are deleted, we have to store the old weight vector
   deletedvariables[anzahlvariablen]=0;
-  ideal I,LI; 
+  ideal I,LI;
   i=i+m; // if a field extension was necessary, then i has to be extended by m
   for (jj=anzahlvariablen-1;jj>=1;jj--)  // the variable t is the last one !!!
@@ -3751,5 +3751,5 @@
     if (size(LI)==0) // if no power of t is in lead(I) (where the X(i) are considered as field elements)
     {
-      // get rid of var(jj)   
+      // get rid of var(jj)
       i=eliminate(I,var(jj));
       deletedvariables[jj]=1;
@@ -3775,5 +3775,5 @@
     execute("ring NEURING=("+charstr(basering)+"),("+string(variablen)+"),(dp("+string(size(variablen)-1)+"),lp(1));");
     ideal i=imap(BASERING,i);
-    ideal gesamt_m=imap(BASERING,gesamt_m);    
+    ideal gesamt_m=imap(BASERING,gesamt_m);
   }
   // now we have to compute a point ww on the tropical variety of the transformed ideal i;
@@ -3784,16 +3784,16 @@
     def PREGFANRING=basering;
     if (nogfan!=1)
-    {      
+    {
       // pass to a ring which has variables which are suitable for gfan
       execute("ring GFANRING=("+charstr(basering)+"),(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z),dp;");
-      ideal phiideal=b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z; 
+      ideal phiideal=b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z;
       phiideal[nvars(PREGFANRING)]=a; // map t to a
-      map phi=PREGFANRING,phiideal; 
+      map phi=PREGFANRING,phiideal;
       ideal i=phi(i);
-      // homogenise the ideal i with the first not yet used variable in our ring, since gfan 
+      // homogenise the ideal i with the first not yet used variable in our ring, since gfan
       // only handles homogenous ideals; in principle for this one has first to compute a
-      // standard basis of i and homogenise that, but for the tropical variety (says Anders) 
+      // standard basis of i and homogenise that, but for the tropical variety (says Anders)
       // it suffices to homogenise an arbitrary system of generators
-      // i=groebner(i); 
+      // i=groebner(i);
       i=homog(i,maxideal(1)[nvars(PREGFANRING)+1]);
       // if gfan version >= 0.3.0 is used and the characteristic
@@ -3804,10 +3804,10 @@
         ringvariablen=ringvariablen[1..2*nvars(PREGFANRING)+1];
         write(":w /tmp/gfaninput","Z/"+string(char(GFANRING))+"Z["+ringvariablen+"]");
-        // write the ideal to a file which gfan takes as input and call gfan      
+        // write the ideal to a file which gfan takes as input and call gfan
         write(":a /tmp/gfaninput","{"+string(i)+"}");
       }
-      else  
-      {
-        // write the ideal to a file which gfan takes as input and call gfan      
+      else
+      {
+        // write the ideal to a file which gfan takes as input and call gfan
         write(":w /tmp/gfaninput","{"+string(i)+"}");
       }
@@ -3840,5 +3840,5 @@
         ~
           // THIS IS NOT NECESSARY !!!! IF WE COMPUTE NOT ONLY THE TROPICAL PREVARIETY
-          // test, if wneu really is in the tropical variety    
+          // test, if wneu really is in the tropical variety
           while (goon==0)
         {
@@ -3873,5 +3873,5 @@
   // if all variables were deleted, then i=0 and thus anzahlvariablen==0
   if ((ordnung>1) and (anzahlvariablen>1))
-  {   
+  {
     // we call the procedure with the transformed ideal i, the new weight vector, with the
     // required order lowered by one, and with additional parameters, namely the number of
@@ -3884,5 +3884,5 @@
     string PARAm=PARALIST[3];
     setring PARARing;
-    // if some variables have been eliminated in before, then we have to insert zeros 
+    // if some variables have been eliminated in before, then we have to insert zeros
     // into the parametrisation for those variables
     if (numberdeletedvariables>0)
@@ -3912,5 +3912,5 @@
     int tweight=-tw[1];
     // if additional variables were necessary, we introduce them now as parameters;
-    // in any case the parametrisation ring will have only one variable, namely t,  
+    // in any case the parametrisation ring will have only one variable, namely t,
     // and its order will be local, so that it displays the lowest term in t first
     if (anzahlvariablen+numberdeletedvariables<nvars(basering))
@@ -3933,5 +3933,5 @@
   list a=imap(BASERING,a);
   if (defined(wneu)==0) // when tropicalparametriseNoabs is called for the last time, it does not
-  {                     // enter the part, where wneu is defined and the variable t should have 
+  {                     // enter the part, where wneu is defined and the variable t should have
     intvec wneu=-1;     // weight -1
   }
@@ -3945,9 +3945,9 @@
   // note, if all variables were deleted, then i==0 and thus testaufnull==0
   if ((ordnung==1) or (anzahlvariablen==1))
-  {    
+  {
     export(PARA);
   }
   // kill the gfan files in /tmp
-  system("sh","cd /tmp; /bin/rm gfaninput; /bin/rm gfanoutput");  
+  system("sh","cd /tmp; /bin/rm gfaninput; /bin/rm gfanoutput");
   // we return a list which contains the parametrisation ring (with the parametrisation ideal)
   // and the string representing the maximal ideal describing the necessary field extension
@@ -3957,7 +3957,7 @@
 static proc findzeros (ideal i,intvec w,list #)
   "USAGE:      findzeros(i,w[,#]); i ideal, w intvec, # an optional list
-ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_n+1,...,X_m] and w=(w_0,...,w_n,0,...,0) 
+ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_n+1,...,X_m] and w=(w_0,...,w_n,0,...,0)
              is in the tropical variety of i
-RETURN:      list, l[1] = is polynomial ring containing an associated maximal ideal m of the w-initial 
+RETURN:      list, l[1] = is polynomial ring containing an associated maximal ideal m of the w-initial
                           ideal of i which does not contain any monomial and where the variables
                           which do not lead to a field extension have already been eliminated,
@@ -3969,9 +3969,9 @@
                           been eliminated
 NOTE:        the procedure is called from inside the recursive procedure tropicalparametriseNoabs;
-             if it is called in the first recursion, the list #[1] contains the t-initial ideal 
-             of i w.r.t. w, otherwise #[1] is an integer, one more than the number of true 
+             if it is called in the first recursion, the list #[1] contains the t-initial ideal
+             of i w.r.t. w, otherwise #[1] is an integer, one more than the number of true
              variables x_1,...,x_n"
 {
-  def BASERING=basering;  
+  def BASERING=basering;
   // set anzahlvariablen to the number of true variables
   if (typeof(#[1])=="int")
@@ -3990,5 +3990,5 @@
   ideal variablen;
   for (int j=1;j<=nvars(basering)-1;j++)
-  {   
+  {
     variablen=variablen+var(j);
   }
@@ -4002,5 +4002,5 @@
   intvec neuevariablen=maximalideals[1][3]; // the information which variable leads to a new one
   list a=maximalideals[1][4];               // a_k is the kth component of a zero of m, if it is not zero
-  // eliminate from m the superflous variables, that is those ones, which do not lead to 
+  // eliminate from m the superflous variables, that is those ones, which do not lead to
   // a new variable
   poly elimvars=1;
@@ -4012,6 +4012,6 @@
     }
   }
-  m=eliminate(m,elimvars);  
-  export(a);  
+  m=eliminate(m,elimvars);
+  export(a);
   export(m);
   list m_ring=INITIALRING,neuvar,neuevariablen;
@@ -4023,5 +4023,5 @@
 static proc basictransformideal (ideal i,intvec w,list m_ring,list #)
   "USAGE:      basictransformideal(i,w,m_ring[,#]); i ideal, w intvec, m_ring list, # an optional list
-ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k], w=(w_0,...,w_n,0,...,0) 
+ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k], w=(w_0,...,w_n,0,...,0)
              is in the tropical variety of i, and m_ring contains a ring containing a maximal ideal m needed
              to describe the field extension over which a corresponding associated maximal ideal of the
@@ -4034,10 +4034,10 @@
                    or l[1] = ring which contains the ideals i and m, and the list a
 NOTE:        the procedure is called from inside the recursive procedure tropicalparametriseNoabs;
-             if it is called in the first recursion, the list # is empty, 
+             if it is called in the first recursion, the list # is empty,
              otherwise #[1] is an integer, the number of true variables x_1,...,x_n;
              during the procedure we check if a field extension is necessary to express
              a zero (a_1,...,a_n) of m; if so, we have to introduce new variables and
              a list containing a ring is returned, otherwise the list containing i, a and m
-             is returned; 
+             is returned;
              the ideal m will be changed during the procedure since all variables which reduce
              to a polynomial in X_1,...,X_k modulo m will be eliminated, while the others are
@@ -4083,7 +4083,7 @@
     // map i into the new ring
     ideal i=imap(BASERING,i);
-    // define a map phi which maps the true variables, which are not 
+    // define a map phi which maps the true variables, which are not
     // reduced to polynomials in the additional variables modulo m, to
-    // the corresponding newly introduced variables, and which maps 
+    // the corresponding newly introduced variables, and which maps
     // the old additional variables to themselves
     ideal phiideal;
@@ -4098,5 +4098,5 @@
       else
       {
-        phiideal[j-1]=0;  
+        phiideal[j-1]=0;
       }
     }
@@ -4105,5 +4105,5 @@
       phiideal=phiideal,X(1..nvars(BASERING)-anzahlvariablen);
     }
-    map phi=MRING,phiideal; 
+    map phi=MRING,phiideal;
     // map m and a to the new ring via phi, so that the true variables in m and a are replaced by
     // the corresponding newly introduced variables
@@ -4115,8 +4115,8 @@
   // moreover, substitute right away in the ideal i the true variable x_j by (a_j+x_j)*t^w_j
   zaehler=nvars(BASERING)-anzahlvariablen+1;
-  for (j=1;j<=anzahlvariablen;j++)  
+  for (j=1;j<=anzahlvariablen;j++)
   {
     if ((a[j]==0) and (j!=1))  // a[1]=0, since t->t^w_0
-    {        
+    {
       a[j]=X(zaehler);
       zaehler++;
@@ -4125,5 +4125,5 @@
     {
       if (j!=1) // corresponds to  x_(j-1) --  note t is the last variable
-      {        
+      {
         i[k]=substitute(i[k],var(j-1),(a[j]+var(j-1))*t^(-w[j]));
       }
@@ -4138,5 +4138,5 @@
   {
     if (wdegs[j]<0) // if wdegs[j]==0 there is no need to divide, and we made sure that it is no positive
-    {      
+    {
       i[j]=i[j]/t^(-wdegs[j]);
     }
@@ -4164,5 +4164,5 @@
 static proc testw (ideal i,intvec w,int anzahlvariablen,list #)
 "USAGE:      testw(i,w,n); i ideal, w intvec, n number
-ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k] and w=(w_0,...,w_n,0,...,0)            
+ASSUME:      i is an ideal in Q[t,x_1,...,x_n,X_1,...,X_k] and w=(w_0,...,w_n,0,...,0)
 RETURN:      int b, 0 if the t-initial ideal of i considered in Q(X_1,...,X_k)[t,x_1,...,x_n]
                     is monomial free, 1 else
@@ -4179,5 +4179,5 @@
     ideal tin=tInitialIdeal(i,w,1);
   }
-  
+
   int j;
   ideal variablen;
@@ -4211,5 +4211,5 @@
   def BASERING=basering;
   if (anzahlvariablen<nvars(basering))
-  {   
+  {
     execute("ring TINRING=("+charstr(basering)+","+string(Parameter)+"),("+string(variablen)+"),dp;");
   }
@@ -4221,9 +4221,9 @@
   poly monom=imap(BASERING,monom);
   return(radicalMemberShip(monom,tin));
-}  
+}
 
 static proc simplifyToOrder (poly f)
 "USAGE:      simplifyToOrder(f); f a polynomial
-ASSUME:      f is a polynomial in Q(t)[x_1,...,x_n] 
+ASSUME:      f is a polynomial in Q(t)[x_1,...,x_n]
 RETURN:      list, l[1] = t-order of leading term of f
                    l[2] = the rational coefficient of the term of lowest t-order
@@ -4246,5 +4246,5 @@
 static proc scalarproduct (intvec w,intvec v)
 "USAGE:      scalarproduct(w,v); w,v intvec
-ASSUME:      w and v are integer vectors of the same length 
+ASSUME:      w and v are integer vectors of the same length
 RETURN:      int, the scalarproduct of v and w
 NOTE:        the procedure is called by tropicalparametriseNoabs"
@@ -4304,5 +4304,5 @@
                    l[j][3] = intvec, if for the kth variable a new variable is needed to
                              define the corresponding zero of l[j][1], then the k+1st entry is one
-                   l[j][4] = list, if for the kth variable no new variable is needed to 
+                   l[j][4] = list, if for the kth variable no new variable is needed to
                              define the corresponding zero of l[j][1], then its value is the k+1st entry
 NOTE:        if a maximal ideal contains a variable, it is removed from the list;
@@ -4320,7 +4320,7 @@
   intvec testvariablen; // integer vector of length n=number of variables
   // compute for each maximal ideal the number of new variables, which are needed to describe
-  // its zeros -- note, a new variable is needed if modulo the maximal ideal it does not reduce 
+  // its zeros -- note, a new variable is needed if modulo the maximal ideal it does not reduce
   // to something which only depends on the following variables;
-  // if no new variable is needed, then store the value a variable reduces to in the list a; 
+  // if no new variable is needed, then store the value a variable reduces to in the list a;
   for (j=size(minassi);j>=1;j--)
   {
@@ -4341,5 +4341,5 @@
       {
         if (l<=k)
-        {          
+        {
           testvariablen[l]=1;
         }
@@ -4357,5 +4357,5 @@
         a[k+1]=nf;             // a_k is the normal form of the kth variable modulo m
         neuevariablen[k+1]=0;  // no new variable is needed
-      }    
+      }
       else
       {
@@ -4367,5 +4367,5 @@
     // if the maximal ideal contains a variable, we simply delete it
     if (pruefer==0)
-    {      
+    {
       minassisort[j]=list(minassi[j],neuvar,neuevariablen,a);
     }
@@ -4384,5 +4384,5 @@
     l=j;
     for (k=j-1;k>=1;k--)
-    {      
+    {
       if (minassisort[l][2]<minassisort[k][2])
       {
@@ -4400,5 +4400,5 @@
 "USAGE:  displaypoly(p,N,wj,w1); p poly, N, wj, w1 int
 ASSUME:  p is a polynomial in r=(0,X(1..k)),t,ls
-RETURN:  string, the string of t^-wj/w1*p(t^1/N)  
+RETURN:  string, the string of t^-wj/w1*p(t^1/N)
 NOTE:    the procedure is called from displayTropicalLifting"
 {
@@ -4418,5 +4418,5 @@
   {
     if (koeffizienten[j-ord(p)+1]!=0)
-    {      
+    {
       if ((j-(N*wj)/w1)==0)
       {
@@ -4534,6 +4534,6 @@
 "USAGE:   tropicalliftingresubstitute(i,L,N[,#]); i ideal, L list, N int, # string
 ASSUME:   i is an ideal and L[1] is a ring which contains the lifting of a point in the
-          tropical variety of i computed with tropicalLifting; 
-          t has to be replaced by t^1/N in the lifting; #[1]=m is the string of the maximal 
+          tropical variety of i computed with tropicalLifting;
+          t has to be replaced by t^1/N in the lifting; #[1]=m is the string of the maximal
           ideal defining the necessary field extension as computed by tropicalLifting,
           if #[1] is present
@@ -4559,5 +4559,5 @@
       ideal i=imap(BASERING,i);
     }
-  }  
+  }
   else
   {
@@ -4588,5 +4588,5 @@
   for (j=1;j<=ncols(i);j++)
   {
-    SUBSTTEST[j]=displaypoly(i[j],N,0,1);  
+    SUBSTTEST[j]=displaypoly(i[j],N,0,1);
   }
   return(SUBSTTEST);
